isatty(1)

NAME
isatty - isatty - test if the specified file descriptor is a tty

isatty - test if the specified file descriptor is a tty

  Synopsis
isatty [FILE DESCRIPTOR]

  Description
isatty tests if a file descriptor is a tty.

FILE DESCRIPTOR may be either the number of a file descriptor, or one of the strings stdin, stdout and stderr.

If the specified file descriptor is a tty, the exit status of the command is zero. Otherwise, it is non-zero.